// =====================================================================
//  $Id: Rs00RunAction.hh,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __RS00RUNACTION_HH
#define __RS00RUNACTION_HH

#include "TRunAction.hh"

class TRun;
class TOutputObjectFile;

class Rs00RunAction
  : public TRunAction
{

  private:
    TOutputObjectFile* theOutputFile;

  public:
    Rs00RunAction();
    ~Rs00RunAction();

  public:
    Tvoid BeginOfRunAction( TRun& aRun );
    Tvoid EndOfRunAction( TRun& aRun );

  public:
    TOutputObjectFile* GetOutputFile() const;

};

inline TOutputObjectFile* Rs00RunAction::GetOutputFile() const
{
  return( theOutputFile );
}

#endif
